#include "ptz_common.h"
#include "ptz0401_control.h"
#include "ptz0404_control.h"
#include "drivers_common.h"
#include "common.h"
#include "modules_common.h"
#include "devcontrol_common.h"
#include "gpio_common.h"
#include <math.h>


void device_ptz_pwm_task_threadpoll_init()
{
    my_zlog_info("PTZ_pwm_thread_init start");
    g_pool_device_gpio_control_t = thread_pool_init(1, 1);
    if(g_device_type == DEVICE_PAO_PTZ0401){
        thread_pool_add_task(g_pool_device_gpio_control_t, ptz0401_pwm_task_function, NULL);
        my_zlog_info("PTZ_thread_init 0401 success");
    }else  if(g_device_type == DEVICE_PAO_PTZ0404){
        thread_pool_add_task(g_pool_device_gpio_control_t, ptz0404_pwm_task_function, NULL);
        my_zlog_info("PTZ_thread_init 0404 success");
    }
}